# Others

## Get Sales Channels

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of sales channels.

#### Query Parameters

| Name                                      | Type   | Description                 |
| ----------------------------------------- | ------ | --------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETSALESCHANNELS”          |
| limit                                     | Int    | Limit per page (Max = 2000) |
| page                                      | Int    | Page (Default = 1)          |
| version<mark style="color:red;">\*</mark> | String | 3                           |
| format                                    | String | json (Default), xml         |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Saleschannel (Array) | Type   | Description/Example |
| -------------------- | ------ | ------------------- |
| id                   | Int    | Sales channel ID    |
| name                 | String | Sales channel Name  |

| Parameter | Type                 | Description/Example                   |
| --------- | -------------------- | ------------------------------------- |
| res       | Response             | <p>Response Code <br>200- Success</p> |
| list      | Saleschannel (Array) | Sales channel List (Array)            |
| count     | Int                  | Total sales channel number by filter  |

## Get Payment Methods

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of payment methods/wallets.

#### Query Parameters

| Name                                      | Type   | Description                 |
| ----------------------------------------- | ------ | --------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETPAYMENTMETHODS”         |
| limit                                     | Int    | Limit per page (Max = 2000) |
| page                                      | Int    | Page (Default = 1)          |
| version<mark style="color:red;">\*</mark> | String | 3                           |
| format                                    | String | json (Default), xml         |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| PaymentMethod (Array) | Type   | Description/Example |
| --------------------- | ------ | ------------------- |
| id                    | Int    | Payment method ID   |
| name                  | String | Payment method Name |

| Parameter | Type                  | Description/Example                   |
| --------- | --------------------- | ------------------------------------- |
| res       | Response              | <p>Response Code <br>200- Success</p> |
| list      | PaymentMethod (Array) | Payment method List (Array)           |
| count     | Int                   | Total payment method number by filter |

## Get Categories

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of product categories.

#### Query Parameters

| Name                                      | Type   | Description                 |
| ----------------------------------------- | ------ | --------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETCATEGORYS”              |
| limit                                     | Int    | Limit per page (Max = 2000) |
| page                                      | Int    | Page (Default = 1)          |
| version<mark style="color:red;">\*</mark> | String | 3                           |
| format                                    | String | json (Default), xml         |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Category (Array) | Type   | Description/Example |
| ---------------- | ------ | ------------------- |
| id               | Int    | Category ID         |
| name             | String | Category Name       |

| Parameter | Type             | Description/Example                   |
| --------- | ---------------- | ------------------------------------- |
| res       | Response         | <p>Response Code <br>200- Success</p> |
| list      | Category (Array) | Category List (Array)                 |
| count     | Int              | Total category number by filter       |

## Get Shipping Channels

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get list of shipping channels.

#### Query Parameters

| Name                                      | Type   | Description                 |
| ----------------------------------------- | ------ | --------------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETSHIPPINGCHANNELS”       |
| limit                                     | Int    | Limit per page (Max = 2000) |
| page                                      | Int    | Page (Default = 1)          |
| version<mark style="color:red;">\*</mark> | String | 3                           |
| format                                    | String | json (Default), xml         |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

| Shippingchannel (Array) | Type   | Description/Example   |
| ----------------------- | ------ | --------------------- |
| id                      | Int    | Shipping channel ID   |
| name                    | String | Shipping channel Name |

| Parameter | Type                    | Description/Example                     |
| --------- | ----------------------- | --------------------------------------- |
| res       | Response                | <p>Response Code <br>200- Success</p>   |
| list      | Shippingchannel (Array) | Shipping channel List (Array)           |
| count     | Int                     | Total shipping channel number by filter |

## Get Profile

<mark style="color:blue;">`GET`</mark> `https://api.zortout.com/api.aspx`

Get profile of merchant.

#### Query Parameters

| Name                                      | Type   | Description         |
| ----------------------------------------- | ------ | ------------------- |
| method<mark style="color:red;">\*</mark>  | String | “GETPROFILE”        |
| version<mark style="color:red;">\*</mark> | String | 3                   |
| format                                    | String | json (Default), xml |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| storename<mark style="color:red;">\*</mark> | String | Store Name  |
| apisecret<mark style="color:red;">\*</mark> | String | API Secret  |
| apikey<mark style="color:red;">\*</mark>    | String | API Key     |

{% tabs %}
{% tab title="200: OK Success" %}
{% tabs %}
{% tab title="Response" %}

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

<table><thead><tr><th width="207.33333333333331">Parameter</th><th>Type</th><th>Description/Example</th></tr></thead><tbody><tr><td>id</td><td>Int</td><td>ID</td></tr><tr><td>name</td><td>String</td><td>Name</td></tr><tr><td>phone</td><td>String</td><td>Phone</td></tr><tr><td>email</td><td>String</td><td>Email</td></tr><tr><td>address</td><td>String</td><td>Address</td></tr><tr><td>taxid</td><td>String</td><td>Tax ID</td></tr><tr><td>fax</td><td>String</td><td>Fax</td></tr><tr><td>website</td><td>String</td><td>Website</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers-v3.zortout.com/api-reference/others.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
